// -------------------------------------------------------------------------------------------------
// xsBotonSeleccion.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la Librería
#include "xsEasyCpp.hpp"

#ifndef __xsBotonSeleccion_hpp__
#define __xsBotonSeleccion_hpp__

Clase xsBotonSeleccion : Publica xsObjeto
{
	Publica:

	    xsBotonSeleccion();

		Vacio crear(xsCadena etiqueta,
		            Logico   mnemonico);

	    xsBotonSeleccion(xsCadena etiqueta,
		                 Logico   mnemonico);

        Vacio eliminarRelieve();

		Vacio colocarRelieve();

        Vacio colocarImagen(xsCadena imagen);

		Vacio colocarImagen(xsCadena imagen, xsIconoTamanio tamanio);

		Vacio colocarBorde(Entero borde);

		Vacio colocarActivo(Entero activo);

		Entero obtenerActivo();

		Vacio colocarTexto(xsCadena texto);
		
};

// Fin de la Definición del Archivo
#endif
